Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.jaxp
Class BXPath

    java.lang.Object
      org.basex.api.jaxp.BXPath

All Implemented Interfaces:
  javax.xml.xpath.XPath

    public class BXPath

extends java.lang.Object
implements javax.xml.xpath.XPath

This class provides an API for standalone XPath processing.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Constructor Summary
`BXPath()`

Method Summary
`javax.xml.xpath.XPathExpression` | `compile(java.lang.String expr)`
`java.lang.String` | `evaluate(java.lang.String expr, org.xml.sax.InputSource source)`
`java.lang.Object` | `evaluate(java.lang.String expr, org.xml.sax.InputSource source, javax.xml.namespace.QName res)`
`java.lang.String` | `evaluate(java.lang.String expr, java.lang.Object item)`
`java.lang.Object` | `evaluate(java.lang.String expr, java.lang.Object item, javax.xml.namespace.QName res)`
`javax.xml.namespace.NamespaceContext` | `getNamespaceContext()`
`javax.xml.xpath.XPathFunctionResolver` | `getXPathFunctionResolver()`
`javax.xml.xpath.XPathVariableResolver` | `getXPathVariableResolver()`
`void` | `reset()`
`void` | `setNamespaceContext(javax.xml.namespace.NamespaceContext ns)`
`void` | `setXPathFunctionResolver(javax.xml.xpath.XPathFunctionResolver fun)`
`void` | `setXPathVariableResolver(javax.xml.xpath.XPathVariableResolver var)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BXPath

    public BXPath()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.xml.xpath.XPath`

### setXPathVariableResolver

    public void setXPathVariableResolver(javax.xml.xpath.XPathVariableResolver var)

  Specified by:
    `setXPathVariableResolver` in interface `javax.xml.xpath.XPath`

### getXPathVariableResolver

    public javax.xml.xpath.XPathVariableResolver getXPathVariableResolver()

  Specified by:
    `getXPathVariableResolver` in interface `javax.xml.xpath.XPath`

### setXPathFunctionResolver

    public void setXPathFunctionResolver(javax.xml.xpath.XPathFunctionResolver fun)

  Specified by:
    `setXPathFunctionResolver` in interface `javax.xml.xpath.XPath`

### getXPathFunctionResolver

    public javax.xml.xpath.XPathFunctionResolver getXPathFunctionResolver()

  Specified by:
    `getXPathFunctionResolver` in interface `javax.xml.xpath.XPath`

### setNamespaceContext

    public void setNamespaceContext(javax.xml.namespace.NamespaceContext ns)

  Specified by:
    `setNamespaceContext` in interface `javax.xml.xpath.XPath`

### getNamespaceContext

    public javax.xml.namespace.NamespaceContext getNamespaceContext()

  Specified by:
    `getNamespaceContext` in interface `javax.xml.xpath.XPath`

### compile

    public javax.xml.xpath.XPathExpression compile(java.lang.String expr)

  Specified by:
    `compile` in interface `javax.xml.xpath.XPath`

### evaluate

    public java.lang.Object evaluate(java.lang.String expr,
                                     java.lang.Object item,
                                     javax.xml.namespace.QName res)
                              throws javax.xml.xpath.XPathExpressionException

  Specified by:
    `evaluate` in interface `javax.xml.xpath.XPath`
  Throws:
    `javax.xml.xpath.XPathExpressionException`

### evaluate

    public java.lang.String evaluate(java.lang.String expr,
                                     java.lang.Object item)
                              throws javax.xml.xpath.XPathExpressionException

  Specified by:
    `evaluate` in interface `javax.xml.xpath.XPath`
  Throws:
    `javax.xml.xpath.XPathExpressionException`

### evaluate

    public java.lang.Object evaluate(java.lang.String expr,
                                     org.xml.sax.InputSource source,
                                     javax.xml.namespace.QName res)
                              throws javax.xml.xpath.XPathExpressionException

  Specified by:
    `evaluate` in interface `javax.xml.xpath.XPath`
  Throws:
    `javax.xml.xpath.XPathExpressionException`

### evaluate

    public java.lang.String evaluate(java.lang.String expr,
                                     org.xml.sax.InputSource source)
                              throws javax.xml.xpath.XPathExpressionException

  Specified by:
    `evaluate` in interface `javax.xml.xpath.XPath`
  Throws:
    `javax.xml.xpath.XPathExpressionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD